PathFactory (Gradle API 2.14.1)

Package: org.gradle.plugins.ide.idea.model

## [Java] Class PathFactory

- org.gradle.plugins.ide.idea.model.PathFactory

- Path Factory.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `PathFactory` | `addPathVariable(String name, File dir)`
    `FilePath` | `path(File file)` Creates a path for the given file.
    `FilePath` | `path(File file, boolean useFileScheme)` Creates a path for the given file.
    `Path` | `path(String url)` Creates a path for the given URL.
    `Path` | `path(String url, String relPath)` Creates a path for the given URL.
    `FilePath` | `relativePath(String pathVar, File file)` Creates a path relative to the given path variable.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class groovy.lang.GroovyObjectSupport` | `groovy.lang.GroovyObjectSupport#setProperty(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getProperty(java.lang.String), groovy.lang.GroovyObjectSupport#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#setMetaClass(groovy.lang.MetaClass), groovy.lang.GroovyObjectSupport#getMetaClass(), groovy.lang.GroovyObjectSupport#wait(long, int), groovy.lang.GroovyObjectSupport#wait(long), groovy.lang.GroovyObjectSupport#wait(), groovy.lang.GroovyObjectSupport#equals(java.lang.Object), groovy.lang.GroovyObjectSupport#toString(), groovy.lang.GroovyObjectSupport#hashCode(), groovy.lang.GroovyObjectSupport#getClass(), groovy.lang.GroovyObjectSupport#notify(), groovy.lang.GroovyObjectSupport#notifyAll()`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### public PathFactory addPathVariable(String name, File dir)

    - #### public FilePath path(File file)

      Creates a path for the given file.

    - #### public FilePath path(File file, boolean useFileScheme)

      Creates a path for the given file.

      Parameters:
        `file` - The file to generate a path for
        `useFileScheme` - Whether 'file://' prefixed URI should be used even for JAR files

    - #### public Path path(String url)

      Creates a path for the given URL.

    - #### public Path path(String url, String relPath)

      Creates a path for the given URL.

    - #### public FilePath relativePath(String pathVar, File file)

      Creates a path relative to the given path variable.